package domain


type AlibabaTclsAxIntegrationPermissionApiResult struct {
    /*
        额外参数     */
    Ext  *string `json:"ext,omitempty" `

    /*
        请求是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        功能权限，返回true和false；如果入参includeDataPerm=true，model中会返回accountId值_data_permissions 内容，返回的是该用户拥有的数据权限     */
    Model  *AlibabaTclsAxIntegrationPermissionIdentifierPermissionDto `json:"model,omitempty" `

    /*
        错误信息     */
    ErrorMsg  *string `json:"error_msg,omitempty" `

}

func (s *AlibabaTclsAxIntegrationPermissionApiResult) SetExt(v string) *AlibabaTclsAxIntegrationPermissionApiResult {
    s.Ext = &v
    return s
}
func (s *AlibabaTclsAxIntegrationPermissionApiResult) SetSuccess(v bool) *AlibabaTclsAxIntegrationPermissionApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaTclsAxIntegrationPermissionApiResult) SetErrorCode(v string) *AlibabaTclsAxIntegrationPermissionApiResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaTclsAxIntegrationPermissionApiResult) SetModel(v AlibabaTclsAxIntegrationPermissionIdentifierPermissionDto) *AlibabaTclsAxIntegrationPermissionApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaTclsAxIntegrationPermissionApiResult) SetErrorMsg(v string) *AlibabaTclsAxIntegrationPermissionApiResult {
    s.ErrorMsg = &v
    return s
}
